import request from '@/utils/request';
/**
 * 班级管理 - 班级列表
 */
export const classGroupList = (params: any) => {
  return request.post('/edu-app/classGroup/page', {
    data: params
    // requestType: 'form'
  });
};

/**
 * 获取班级里的学生
 */
export const getCLassStudent = (params: any) => {
  return request.post('/edu-app/student/page', {
    data: params
    // requestType: 'form'
  });
};

/**
 * 学员调整
 */
export const adjustStudent = (params: any) => {
  return request.post('/edu-app/classGroup/adjustStudent', {
    data: params
    // requestType: 'form'
  });
};

/**
 * 删除
 *
 */
export const deleteClass = (params: any) => {
  return request.post('/edu-app/classGroup/delete', {
    data: params,
    requestType: 'form'
  });
};

/**
 * 新建班级
 */
export const addClass = (params: any) => {
  return request.post('/edu-app/classGroup/save', {
    data: params
  });
};

/**
 * 班级学员
 */
export const getStudentList = (params: any) => {
  return request.post('/edu-app/student/page', {
    data: params
  });
};

/**
 * 获取训练列表
 */
export const getTrainingList = (params: any) => {
  return request.post('/edu-app/lessonTraining/trainingList', {
    data: params
  });
};
