import request from '@/utils/request';

/**
 * 备课 - 教学课件
 */
export const lessonCoursewarePage = (params: any) => {
  return request.post('/edu-app/lessonCourseware/page', {
    data: params
  });
};

/**
 * 备课 - 教学课件详情
 */
export const lessonCoursewareDetail = (params: any) => {
  return request.get('/edu-app/lessonCourseware/detail/' + params.id, {});
};

/**
 * 备课 - 教学课件删除
 */
export const lessonCoursewareRemove = (params: any) => {
  return request.post('/edu-app/lessonCourseware/remove', {
    data: params
  });
};

/**
 * 备课 - 课件列表
 */
export const queryCourseware = (params: any) => {
  return request.post('/edu-app/teacherKnowledgeMaterial/queryCourseware', {
    data: params
  });
};
